Debian Bug report logs - #345479
Summer time in 2006 Australia/NSW is incorrect...

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Peter Chubb <peterc@gelato.unsw.edu.au>

Date: Sat, 31 Dec 2005 21:33:05 UTC

Severity: normal

Found in versions libc6/2.3.5-9, libc6/2.3.5-8

Fixed in version glibc/2.3.6-1

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Chubb <peterc@gelato.unsw.edu.au>
To: submit@bugs.debian.org
Subject: Summer time in 2006 Australia/NSW is incorrect...
Date: Sun, 1 Jan 2006 08:23:57 +1100
Package: libc6
Version: 2.3.5-9

Daylight saving time in NSW and Victoria has been extended for a week,
to cover the Commonwealth Games in Melbourne...  See
http://www.lawlink.nsw.gov.au/lawlink/Corporate/ll_agdinfo.nsf/pages/community_relations_daylight_saving

The zoneinfo files distributed with libc 6 haven't yet been updated to
reflect this information.

PeterC



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 345479@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: Debian Bug Tracking System <345479@bugs.debian.org>
Subject: libc6: updated timezone data for Australia
Date: Fri, 06 Jan 2006 02:11:43 +1100
Package: libc6
Version: 2.3.5-8
Followup-For: Bug #345479

Hi,

An updated version of the tzdata file which incorporates the required 
change is available: ftp://elsie.nci.nih.gov/pub/.

NOTE: this particular bug affects *all* versions of Debian and will mean
that users in Australia using stable will have the incorrect time for
over week.

It would be prudent to issue an update for stable as well as unstable.

Thanks,
Anand

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to James Cameron <james.cameron@hp.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 345479@bugs.debian.org (full text, mbox):

From: James Cameron <james.cameron@hp.com>
To: 345479@bugs.debian.org
Subject: impact and workaround
Date: Thu, 2 Feb 2006 15:39:24 +1100
Two things, more information about the impact of this problem, and a
workaround described simply.

Impact:

This problem affects people using Debian systems that record time and
date information from Australian sources.  It's not just a matter of
having the clock show the incorrect time for a week, it's a much wider
problem.

People who have systems running in other countries but with TZ set to
and Australian timezone are also affected.

Calculations of time differences by subtracting time_t values are also
affected.

Other distributions have already shipped the change in their stable
release.  Red Hat for instance already has an updated tzdata package,
and I've verified it contains the change.  Perhaps there's an
opportunity to ship the timezone rules separate from libc6 package?

Workaround:

I've placed this on the Debian Wiki.

http://wiki.debian.org/TimeZoneChanges

It involves obtaining the updated australasia file from the tzdata
tar.gz in ftp://elsie.nci.nih.gov/pub/ and then running zic(8).
zdump(8) can be used to check it.

-- 
James Cameron
http://ftp.hp.com.au/sigs/jc/



Tags added: pending Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Chubb <peterc@gelato.unsw.edu.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 345479-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 345479-close@bugs.debian.org
Subject: Bug#345479: fixed in glibc 2.3.6-1
Date: Sat, 11 Feb 2006 16:47:10 -0800
Source: glibc
Source-Version: 2.3.6-1

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.6-1_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.6-1_all.deb
glibc_2.3.6-1.diff.gz
  to pool/main/g/glibc/glibc_2.3.6-1.diff.gz
glibc_2.3.6-1.dsc
  to pool/main/g/glibc/glibc_2.3.6-1.dsc
glibc_2.3.6.orig.tar.gz
  to pool/main/g/glibc/glibc_2.3.6.orig.tar.gz
locales_2.3.6-1_all.deb
  to pool/main/g/glibc/locales_2.3.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 345479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Feb 2006 21:45:45 -0500
Source: glibc
Binary: glibc-doc locales
Architecture: source all
Version: 2.3.6-1
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 locales    - GNU C Library: National Language (locale) data [support]
Closes: 225516 227214 248377 279697 295810 309846 323159 327025 329428 331377 334864 343885 345479 345641 347315 347323 347686 348518 348804 350103 350501 351036 351049 351375
Changes: 
 glibc (2.3.6-1) unstable; urgency=low
 .
   [ Denis Barbier ]
   * debian/debhelper.in/libc.postinst: Restart webmin on upgrade.
     (Closes: #345641)
   * debian/debhelper.in/libc.postinst: Restart dropbear on upgrade.
     (Closes: #351036)
   * Fix yesexpr/noexpr in tl_PH locale.  Reported by eric pareja.
     (Closes: #295810)
   * Fix langinfo(_NL_TIME_FIRST_WEEKDAY) for C locale.  Reported by
     Graham Wilson (Closes: #327025)
   * Add first_weekday fields to most locales.
     (Closes: #343885, #347323, #347686, #348518, #351375)
   * Apply various fixes to French locales.  (Closes: #248377)
   * Fix d_t_fmt and date_fmt in fo_FO. Reported by Jacob Sparre Andersen.
   * New sa_IN locale file, provided by Vidya Ayer and Christian Perrier.
     (Closes: #331377)
   * Add several locales to SUPPORTED:
     - ru_RU.CP1251, requested by Michael Bravo.  (Closes: #225516)
     - uz_UZ.UTF-8 (its ISO-8859-1 counterpart had no UTF-8 variant)
     - da_DK.ISO-8859-15, en_GB.ISO-8859-15, en_US.ISO-8859-15, no_NO.UTF-8,
       no_NO and sv_SE.ISO-8859-15 are found in fedora-branch CVS branch.
   * Apply several improvements to hy_AM found in upstream Bugzilla.
   * Fix LC_MONETARY section of en_DK and provide en_DK.ISO-8859-15.
     (Closes: #323159)
   * Improve localedef(1) manual page, by Lars Wirzenius (Closes: #309846)
   * Fix LC_MONETARY section of pl_PL. Reported by Michał Politowski.
     (Closes: #227214)
   * New wo_SN locale file, provided by Samba Ndao Diop and Christian
     Perrier.  (Closes: #279697)
   * Add new ca_AD, ca_FR and ca_IT locale files, sent upstream by Robert
     Millan.
   * New csb_PL locale file, sent upstream by Andrzej Krzysztofowicz.
   * Rewrite collation rules of several locales to include iso14651_t1.
     This eases maintenance and saves about 1MB for installed size.
   * Sort SUPPORTED to list UTF-8 locales first.  This change partly
     solves #312927.
   * Modify localedata/locales/no_NO to copy definitions from nb_NO.
   * Fix lang_* fields in gez_ER, gez_ET, tr_TR and wal_ET.
   * Fix unknown symbols in collation rules of several locales: da_DK,
     fa_IR, is_IS, lo_LA, lv_LV, nb_NO and sr_CS.
   * Apply updates for st_ZA, xh_ZA and zu_ZA sent upstream by Dwayne Bailey.
   * Add new nr_ZA locale, sent upstream by Dwayne Bailey.
   * Rewrite collation rules for dz_BT, in collaboration with Pema Geyleg.
   * Revert upstream change of postal_fmt in te_IN because localedef
     complains.  (Closes: #348804)
   * New debconf translations:
     - Italian, by Luca Monducci  (Closes: #329428)
     - Swedish, by Daniel Nylander  (Closes: #334864)
   * Slightly reword locales.templates to be DTSG-compliant, thanks Thomas
     Huriaux.
   * Updated debconf translations:  (Closes: #350103)
     - Czech, by Miroslav Kure
     - Danish, by Morten Brix Pedersen
     - Dutch, by Bart Cornelis
     - French, by Denis Barbier
     - German, by Helge Kreutzmann
     - Polish, by Emilian Nowak
     - Turkish, by Erçin EKER
     - Ukrainian, by Eugeniy Meshcheryakov
     - Vietnamese, by Clytie Siddall
   * Update timezone data files to tzdata2006a.  (Closes: #345479, #347315, #351049)
   * Drop Build-Depends-Indep: po4a from control file, translated manual pages
     are currently not built.
 .
   [ Clint Adams ]
   * Move to upstream version 2.3.6.
     - Redo debian/patches/localedata/cvs-localedata.diff
     - Remove glibc235-gcc4-cvs.diff
     - Remove glibc235-gcc4-jis0208.diff
     - Remove glibc235-binutils216-ia64.diff
     - Remove glibc235-gcc4-ia64-profile.diff
     - Remove glibc235-gcc4-ppc-procfs.diff
     - Remove glibc235-execvp-fix.diff
     - Delete CSD (Serbian Dinar) hunk from locale-iso4217.diff
     - Redo glibc235-dl-execstack.diff
     - Remove glibc235-alpha-divqu.diff
     - Remove amd64-semtrywait-weakalias.diff
     - Remove strfry-segv.diff
     - Remove ia64-binutils-libm.diff
     - Remove glibc235-leapsecond.diff
     - Delete several hunks from glibc235-gcc4-sparc-inline.diff
     - Remove hurd-libpthread-indirect-loading.diff
     - Remove glibc235-gcc4-hurd.diff
     - Delete several hunks from glibc235-gcc4-arm-inline.diff
     - Remove glibc235-gcc4-s390-inline.diff
   * Add hppa-pie-relocs.diff, thanks to Aurelien Jarno.  This
     fixes nscd on hppa.  (Closes: #350501)
 .
   [ Daniel Jacobowitz ]
   * Remove mips-bits-syscall.diff, merged.
 .
   [ GOTO Masanori ]
   * Update po/ja.po.
Files: 
 0c32980b202cc53a305504ee3c03ee9c 1933 libs required glibc_2.3.6-1.dsc
 c50d207d67b330a4515321cbac3776f8 13891563 libs required glibc_2.3.6.orig.tar.gz
 4172d9b11de6748f0db549a6c411f38c 633004 libs required glibc_2.3.6-1.diff.gz
 8d321bab91bbe2c46adb4ab3251ea351 3348678 doc optional glibc-doc_2.3.6-1_all.deb
 3acf298b4335c39a13cda151a7547d48 3924352 libs standard locales_2.3.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Debian!

iD8DBQFD7oG45m0u66uWM3ARAoD+AKC9k25C+KEqwCK91J1+yDx7xGb95gCgleAr
5lwNkMjksZ4rakk9bNyh06U=
=MG07
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Paul Dwerryhouse <paul@dwerryhouse.com.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 345479@bugs.debian.org (full text, mbox):

From: Paul Dwerryhouse <paul@dwerryhouse.com.au>
To: 345479@bugs.debian.org
Subject: Bug#345479: Australia summer time 2006
Date: Tue, 28 Feb 2006 16:29:12 +1100
Will updated packages for this problem be released for sarge (and woody)?

(Yes, I know it's a fairly easy problem to fix for myself, but not
everyone is going to know how to do this, or even that they need to do
it at all).

Cheers,

Paul.

-- 
Paul Dwerryhouse				| PGP Key ID: 0x6B91B584



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pam <xanni@glasswings.com.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 345479@bugs.debian.org (full text, mbox):

From: Andrew Pam <xanni@glasswings.com.au>
To: 345479@bugs.debian.org
Subject: Bitten by TZ bug because stable update not released in time
Date: Mon, 27 Mar 2006 13:12:03 +1100
I have been bitten by this bug with my server time off by one hour
because despite this bug being reported and fixed months ago, the Debian
stable repository is still not providing libc6 2.3.6-1 or later.  My
stable box is still on 2.3.2.ds1-22 which contains the incorrect tzinfo.
How soon can we get this crucial libc6 update?

Regards,
	Andrew
-- 
mailto:xanni@xanadu.net                         Andrew Pam
http://www.xanadu.com.au/                       Chief Scientist, Xanadu
http://www.glasswings.com.au/                   Partner, Glass Wings
http://www.sericyb.com.au/                      Manager, Serious Cybernetics



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 345479@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Andrew Pam <xanni@glasswings.com.au>, 345479@bugs.debian.org
Subject: Re: Bug#345479: Bitten by TZ bug because stable update not released in time
Date: Mon, 27 Mar 2006 08:16:35 +0200
On Mon, Mar 27, 2006 at 01:12:03PM +1100, Andrew Pam wrote:
> I have been bitten by this bug with my server time off by one hour
> because despite this bug being reported and fixed months ago, the Debian
> stable repository is still not providing libc6 2.3.6-1 or later.  My
> stable box is still on 2.3.2.ds1-22 which contains the incorrect tzinfo.
> How soon can we get this crucial libc6 update?
> 

A fixed package has been uploaded to stable proposed updates a few days
ago and will be available in the next stable release (3.1r2).

Bye,
Aurélien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#345479; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Andrew Pam <xanni@glasswings.com.au>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 345479@bugs.debian.org (full text, mbox):

From: Andrew Pam <xanni@glasswings.com.au>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 345479@bugs.debian.org
Subject: Re: Bug#345479: Bitten by TZ bug because stable update not released in time
Date: Mon, 27 Mar 2006 19:41:29 +1100
> On Mon, Mar 27, 2006 at 01:12:03PM +1100, Andrew Pam wrote:
> > I have been bitten by this bug with my server time off by one hour
> > because despite this bug being reported and fixed months ago, the Debian
> > stable repository is still not providing libc6 2.3.6-1 or later.  My
> > stable box is still on 2.3.2.ds1-22 which contains the incorrect tzinfo.
> > How soon can we get this crucial libc6 update?

On Mon, Mar 27, 2006 at 08:16:35AM +0200, Aurelien Jarno wrote:
> A fixed package has been uploaded to stable proposed updates a few days
> ago and will be available in the next stable release (3.1r2).

The problem is that the time period during which servers will have the
wrong time is 27 March - 2 April 2006, and this was known well in advance.
Is there a process to ensure that updates with a known deadline are
released before the deadline?

Regards,
	Andrew
-- 
mailto:xanni@xanadu.net                         Andrew Pam
http://www.xanadu.com.au/                       Chief Scientist, Xanadu
http://www.glasswings.com.au/                   Partner, Glass Wings
http://www.sericyb.com.au/                      Manager, Serious Cybernetics



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 16:53:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:01:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.